/*
 * Author: Tomek Blaszczyk
 * e-mail: tombla@mimuw.edu.pl
 * Project: Linux Scheduler
 * Release: 1.0.0 1999.09.18
 */
#include <stdio.h>
#include "tb_svr4.h"

int normalize(int k) {
	if ( k<0 ) 
		k=0;
	if ( k>SVR4_NUM_PRIORITIES-1 )
		k = SVR4_NUM_PRIORITIES-1;
	
	return k;
}

int main(int argc, char* argv[])
{
	int i;

	for ( i=0; i<SVR4_NUM_PRIORITIES; i++ ) {
		printf ( "%d %d %d %d %d %d %d %d %d %d %d\n",
		400,
		16+((SVR4_NUM_PRIORITIES-i)*3)/4,	/* 16..60 */
		normalize(i+1),
		0,
		i/4,		/* 0..14 */
		normalize(i-7),
		0,
		0,		
		normalize(i+5),
		0,
		1+i/10 );	/* 1..6 */
	}
	
	return 0;
}
