/*
 * Author: Tomek Blaszczyk
 * e-mail: tombla@mimuw.edu.pl
 * Project: Linux Scheduler
 * Release: 1.0.0 1999.09.18
 */
#include <stdio.h>
#include "tb_svr4.h"

int normalize(int k) {
	if ( k<0 ) 
		k=0;
	if ( k>SVR4_NUM_PRIORITIES-1 )
		k = SVR4_NUM_PRIORITIES-1;
	
	return k;
}

int main(int argc, char* argv[])
{
	int i;

	if ( argc != 11 ) {
		fprintf ( stderr, "USAGE: %s <maxw> <9 params>\n", argv[0] );
		return 1;
	}
	
	for ( i=0; i<SVR4_NUM_PRIORITIES; i++ ) {
		printf ( "%d %d %d %d %d %d %d %d %d %d %d\n",
		atoi(argv[1]),
		(SVR4_NUM_PRIORITIES-i)/3+20,
		normalize(i+atoi(argv[2])),
		atoi(argv[3]),
		atoi(argv[4]),		
		normalize(i+atoi(argv[5])),
		atoi(argv[6]),
		atoi(argv[7]),		
		normalize(i+atoi(argv[8])),
		atoi(argv[9]),
		atoi(argv[10]) );
	}
	
	return 0;
}
