/*
 * Author: Tomek Blaszczyk
 * e-mail: tombla@mimuw.edu.pl
 * Project: Linux Scheduler
 * Release: 1.0.0 1999.09.18
 */
#include <stdio.h>
#include <linux/unistd.h>
#include "tb_svr4.h"

_syscall1(int,sched_set,int,index)
_syscall2(int,sched_ctl,int,cmd,void*,data)

int main(int argc, char* argv[])
{
	unsigned long flags;
	int minpid, maxpid;
	int res;
	
	if ( argc != 2 && argc != 4 ) {
		fprintf ( stderr, "USAGE: %s <flags> [<minpid> <maxpid>]\n", argv[0] );
		return 1;
	}
	
	flags = (unsigned long) atoi(argv[1]);
		
	res = sched_ctl(SVR4_SET_DUMP_FLAGS,(void*)flags);
	printf ( " set_dump_flags: %s\n", (res==-1) ? "error" : "OK" );
	
	if ( argc==2 )
		return 0;
		
	minpid = atoi(argv[2]);
	maxpid = atoi(argv[3]);
	
	res = sched_ctl(SVR4_SET_MINPID,(void*)minpid);
	printf ( " set_minpid: %s\n", (res==-1) ? "error" : "OK" );
	res = sched_ctl(SVR4_SET_MAXPID,(void*)maxpid);
	printf ( " set_maxpid: %s\n", (res==-1) ? "error" : "OK" );

	return 0;	
}
		