/*
 * Author: Tomek Blaszczyk
 * e-mail: tombla@mimuw.edu.pl
 * Project: Linux Scheduler
 * Release: 1.0.0 1999.09.18
 */
#include <stdio.h>
#include <linux/unistd.h>
#include "tb_svr4.h"

_syscall1(int,sched_set,int,index)
_syscall2(int,sched_ctl,int,cmd,void*,data)

svr4table_type tbl;

int main(int argc, char* argv[])
{
	int res;
	int i;
	
	for ( i=0; i<SVR4_NUM_PRIORITIES; i++ ) {
		res = scanf("%d %d %d %d %d %d %d %d %d %d %d\n",
			&tbl[i].maxwait, &tbl[i].counter,
			&tbl[i].wakeup_dynamic,	&tbl[i].wakeup_boost, &tbl[i].wakeup_boost_chg,
			&tbl[i].expired_dynamic, &tbl[i].expired_boost, &tbl[i].expired_boost_chg,
			&tbl[i].lwait_dynamic, &tbl[i].lwait_boost, &tbl[i].lwait_boost_chg );
		if ( res!=11 ) {
			printf ( "Error at line %d: only %d numbers OK (should be 11)\n",
				i+1, res );
			return 1;
		}
	}
						

	res = sched_ctl(SVR4_SET_TABLE,(void*)tbl);
	
	if ( res==-1 ) {
		fprintf(stderr, " svr4_set_table: error.\n" );
		return 1;
	}
	
	return 0;	
}
		