/*
 * Author: Tomek Blaszczyk
 * e-mail: tombla@mimuw.edu.pl
 * Project: Linux Scheduler
 * Release: 1.0.0 1999.09.18
 */
#ifndef _TS_SVR4_H_
#define _TS_SVR4_H_

#define SVR4_NUM_PRIORITIES 60

typedef struct svr4tblentry {
	int maxwait;
	int counter;
	int wakeup_dynamic;
	int wakeup_boost;
	int wakeup_boost_chg;
	int expired_dynamic;
	int expired_boost;
	int expired_boost_chg;
	int lwait_dynamic;
	int lwait_boost;
	int lwait_boost_chg;
} svr4tblentry_struct;

typedef svr4tblentry_struct svr4table_type[SVR4_NUM_PRIORITIES];

#define SVR4_SET_MINPID		10
#define SVR4_SET_MAXPID		11
#define SVR4_SET_DUMP_FLAGS	12

#define SVR4_DUMP_TBLERR	0x00000001UL
#define SVR4_DUMP_EVENTS	0x00000002UL

#define SVR4_GET_TABLE		32
#define SVR4_SET_TABLE		33

#endif
