/*
 * Author: Tomek Blaszczyk
 * e-mail: tombla@mimuw.edu.pl
 * Project: Linux Scheduler
 * Release: 1.0.0 1999.09.18
 */
#include <stdio.h>
#include "tbschsrcfake.hpp"

void showEvents(TBSchedSource& src)
{
	TBSchedEvent e;
	
	printf("EVENTS:\n");

	e = src.FirstEvent();
	while ( !e.eof )
	{
		char* evt;
	
		switch ( e.event ) {
			case SCHED_GOTCPU: evt="GOTCPU"; break;
			case SCHED_INRUNQ: evt="INRUNQ"; break;
			case SCHED_OUTRUNQ: evt="OUTRUNQ"; break;
			default: evt="OTHER";
		}
				
		printf("start=%lu, end=%lu, event=%s\n",
			e.start, e.end, evt );
		e = src.PrevEvent();
	}
	
	printf ( " <EOF>\n");
}
		

int main() {

	TBSchedSourceFake fs(108);

	unsigned long currTime = 0;
	

	for ( int k=0; k<2; k++ )
	{
		currTime += 10;
		fs._currTime = currTime;
		if ( !fs.FetchData() )
		{
			printf ( "[1] error, k=%d\n", k );
			exit(1);
		}
	}
		
	fs.setStartTime(0);
	fs.setEndTime(currTime+30);
	
	showEvents(fs);
	
	return 0;
}