/*
 * Author: Tomek Blaszczyk
 * e-mail: tombla@mimuw.edu.pl
 * Project: Linux Scheduler
 * Release: 1.0.0 1999.09.18
 */
#include <stdio.h>
#include "schedstat.h"


struct sched_stat  sstat;

void dump_events(struct sched_stat* sstat, unsigned long mintime, unsigned long etime)
{
	int res, index;
	unsigned long stime, event;
	char* events[] = { "NONE", "GOTCPU", "INRUNQ", "OUTRUNQ" };
	
	printf("EVENTS: \n");
	index=sstat->index;
	while(1) {
		res = get_event(sstat,index,&stime,&event);
		if ( res==-1 )
			break;
					
		printf("%12lu-%12lu %s\n", stime, etime, events[event>>(LONGBITS-2)]);
		
		etime = stime;
		
		if ( stime<mintime )
			break;
		
		if ( --index<0 )
			index += SCHED_BUFSIZE;
	}
}

int main() {
	init_schedstat(&sstat);
	
	add_event(&sstat,15,SCHED_INRUNQ);
	add_event(&sstat,32,SCHED_GOTCPU);
	add_event(&sstat,35,SCHED_OUTRUNQ);
	
	dump_events(&sstat,0,40);
	
	return 0;
}