/*
 * Author: Tomek Blaszczyk
 * e-mail: tombla@mimuw.edu.pl
 * Project: Linux Scheduler
 * Release: 1.0.0 1999.09.18
 */
#ifndef _TBSCHSHOW_HPP_
#define _TBSCHSHOW_HPP_

#include <qwidget.h>
#include <qlist.h>
#include <qtimer.h>
#include "tbschsrc.hpp"

class TBSchedShow : public QWidget
{
	Q_OBJECT
public:
	TBSchedShow ( QList<TBSchedSource>& srcList, QWidget* parent=0, const char* name=0);
	
public slots:
	void timeout();
	void run();
	void stop();
	void period(unsigned long);
	void slower();
	void faster();

protected:
	void paintEvent ( QPaintEvent* );
private:
	QList<TBSchedSource>	_sourceList;
	QTimer*			_timer;
	unsigned long		_jiffies;
	unsigned long		_period;
	bool 			_running;
};

#endif // _TBSCHSHOW_HPP_
