/*
 * Author: Tomek Blaszczyk
 * e-mail: tombla@mimuw.edu.pl
 * Project: Linux Scheduler
 * Release: 1.0.0 1999.09.18
 */

#include "tbschsrc.hpp"

TBSchedEvent  TBSchedSource::FirstEvent(void)
{
	_lastIndex = _sstat.index;
	_lastTime  = _endTime;
	
	return PrevEvent();
}

TBSchedEvent  TBSchedSource::PrevEvent(void)
{
	unsigned long start, end, event;

	if ( _startTime > _lastTime )
		return TBSchedEvent();  // eof
	
	end = _lastTime;
	if ( get_event(&_sstat,_lastIndex,&start,&event) == -1 )
		return TBSchedEvent(); // eof

	if ( start > _lastTime )
		return TBSchedEvent();   // eof;
		
	if ( --_lastIndex<0 )
		_lastIndex += SCHED_BUFSIZE;
		
	_lastTime = start;

	if ( start>=_startTime )
	{
		return TBSchedEvent ( start, end, event );
	}
	else
	{
		return TBSchedEvent ( _startTime, end, event );
	}	
}
