/*
 * Author: Tomek Blaszczyk
 * e-mail: tombla@mimuw.edu.pl
 * Project: Linux Scheduler
 * Release: 1.0.0 1999.09.18
 */
#include <stdlib.h>
#include <linux/schedstat.h>

#include "tbschsrcfake.hpp"

bool TBSchedSourceFake::FetchData(void)
{
	static unsigned long events[] = {SCHED_GOTCPU, SCHED_INRUNQ, SCHED_OUTRUNQ };

	unsigned long delta;
	
	delta = random() % 20;
	while ( _maxTime + delta <= currentTime() )
	{
		_maxTime += delta;
		delta = random() % 20;
		unsigned long event = events[random() % 3];
		add_event(&_sstat,_maxTime,event);
	}

	_fetched = ( random() % 20 != 0 );
	
	return _fetched;	
}
