/*
 * Author: Tomek Blaszczyk
 * e-mail: tombla@mimuw.edu.pl
 * Project: Linux Scheduler
 * Release: 1.0.0 1999.09.18
 */
#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <unistd.h>
#include <ctype.h>

int main(int argc, char* argv[])
{
	int fd_in, fd_out;
	char c, d;
	int num, slp;

	setbuf(stdout,NULL);

	if ( argc != 6 ) {
		fprintf ( stderr, "USAGE: %s <server-in> <server-out> <char> <num> <sleep>\n", argv[0] );
		exit(1);
	}
	
	fd_out = open ( argv[1], O_WRONLY );
	if ( fd_out == -1 ) {
		fprintf ( stderr, "Can't open %s\n", argv[1]);
		exit(1);
	}
	fd_in = open ( argv[2], O_RDONLY );
	if ( fd_in == -1 ) {
		fprintf ( stderr, "Can't open %s\n", argv[2]);
		exit(1);
	}
	
	c = argv[3][0];
	num = atoi(argv[4]);
	slp = atoi(argv[5]) * 1000;
	
	while ( num != 0 ) {
		if ( num > 0 )
			num--;
		if ( slp > 0 )
			usleep ( slp );
		if ( write(fd_out,&c,1) <= 0 )
			break;
		if ( read(fd_in,&d,1) <= 0  )
			break;
//		printf ( "%c", d );
	}

//	printf ( "\n" );	
	return 0;	
}	
