/*
 * Author: Tomek Blaszczyk
 * e-mail: tombla@mimuw.edu.pl
 * Project: Linux Scheduler
 * Release: 1.0.0 1999.09.18
 */
#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>

char* buf;
int size;
int bufidx = 0;
int slp;
int iter;

#define WALK_SIZE 1
#define WALK_STEP 4096

void walk_first ( )
{
	int k;
	
	for ( k=0; k<size-WALK_STEP; k += WALK_STEP )
		buf[k] += 2;
}


void walk_along ( )
{
	int k;
	
	for ( k=0; k<WALK_SIZE; k++ ) {
		bufidx = ( bufidx + WALK_STEP ) % size;
		buf[bufidx] += 1;
	}
}
	


int main(int argc, char* argv[])
{
	int iter;

	if ( argc!=4 ) {
		fprintf ( stderr, "USAGE: %s <sizeMB> <iter> <sleep [ms]>\n", argv[0] );
		return 1;
	}
	
	size = atoi ( argv[1] ) * 1024 * 1024;
	iter = atoi ( argv[2] );
	slp = atoi ( argv[3] ) * 1000;
	
	if ( size<=0 )
		return 1;
	if ( slp < 0 )
		return 1;
	
	buf = malloc(size);

	setbuf(stderr,NULL);
//	fprintf(stderr, "First walk..." );
	walk_first();
//	fprintf(stderr, " done.\n" );
	
	while ( iter != 0 ) {
	
		if ( iter > 0 ) {
			iter--;
//			fprintf ( stderr, "%d%c", iter, iter % 10 ? ' ' : '\n' );
		}
		
		walk_along();
		
		if ( slp )
			usleep ( slp );
	}
	
	return 0;
}
	
		