/*
 * Author: Tomek Blaszczyk
 * e-mail: tombla@mimuw.edu.pl
 * Project: Linux Scheduler
 * Release: 1.0.0 1999.09.18
 */
#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <unistd.h>
#include <ctype.h>
#include <errno.h>

int main(int argc, char* argv[])
{
	int fd_in, fd_out;
	char c;
	int i, k, iter;
	int sum;
	int code;
	
	setbuf(stdout,NULL);

	if ( argc != 4 ) {
		fprintf ( stderr, "USAGE: %s <server-in> <server-out> <iter>\n", argv[0] );
		exit(1);
	}
	
	fd_in = open ( argv[1], O_RDONLY );
	if ( fd_in == -1 ) {
		fprintf ( stderr, "Can't open %s\n", argv[1]);
		exit(1);
	}
	fd_out = open ( argv[2], O_WRONLY );
	if ( fd_out == -1 ) {
		fprintf ( stderr, "Can't open %s\n", argv[2]);
		exit(1);
	}
	
	iter = atoi(argv[3]);
	
	while ( 1 ) {
		code = read(fd_in,&c,1);
		if ( code <= 0 ) {
			if ( code==-1 && errno ==EINTR ) {
				//fprintf(stderr, "Server: EINTR!\n" );
				continue;
			}
			//fprintf ( stderr, "Server: code = %d, errno = %d\n", code, errno );
			break;
		}
//		printf ( "%c", c );
		c = toupper(c);
		for ( i=0; i<iter; i++ ) {
			for ( k=0; k<1000; k++ ) {
				sum+= (k-i);
			}
		}
		write(fd_out,&c,1);
	}

//	printf ( "\n" );	
	return 0;	
}
	